OSS Insight Docs
APITrends

GETList trending repos

Trends

Trending repos is an open source alternative to GitHub trends, which showcases recently popular open source projects in the GitHub community.

Parameters

Prop

Type

Usage

cURL
curl --request GET \  --url 'https://api.ossinsight.io/v1/trends/repos/?period=past_24_hours&language=All' \  --header 'Accept: application/json'
Python
import requestsresponse = requests.get(    "https://api.ossinsight.io/v1/trends/repos/?period=past_24_hours&language=All",    headers={"Accept": "application/json"},    timeout=30,)response.raise_for_status()data = response.json()print(data)
TypeScript
const response = await fetch("https://api.ossinsight.io/v1/trends/repos/?period=past_24_hours&language=All", {  method: "GET",  headers: {    Accept: "application/json",  },});if (!response.ok) {  throw new Error(`Request failed: ${response.status}`);}const data = await response.json();console.log(data);